<?php

if (!isset($content_width)) $content_width = 588;

add_theme_support('custom-background');
add_theme_support('automatic-feed-links');
add_action('widgets_init', 'crucial_sidebar');
add_editor_style();

add_action('after_setup_theme', 'crucial_setup');
function crucial_setup(){
    load_theme_textdomain('crucial', get_template_directory() . '/languages');
}

$crucial_header_defaults = array(
	'width'                  => 1900,
	'height'                 => 250,
	'default-text-color'     => 'ffffff',
	'wp-head-callback'       => 'crucial_header_style',
	'admin-head-callback'    => 'crucial_admin_header_style',
);

add_theme_support('custom-header', $crucial_header_defaults);

// gets included in the site header
function crucial_header_style() {
  ?>
  <style type="text/css">
      <?php if(get_header_image()) { ?>
      header {
          background: url('<?php header_image(); ?>') repeat-x scroll top center;
      }
      <?php } ?>
      
      header .title a, header .description {
       color:  #<?php echo get_header_textcolor(); ?>
      }
      
  </style>
  <?php
}
// gets included in the admin header
function crucial_admin_header_style() {
  ?>
  <style type="text/css">
      #headimg {
          width: <?php echo HEADER_IMAGE_WIDTH; ?>px;
          height: <?php echo HEADER_IMAGE_HEIGHT; ?>px;
          background: repeat-x;
      }
      
      #headimg a {
       text-decoration: none; 
      }
      
      #headimg #name {
       font-size: 48px;
       font-weight: bold;
       letter-spacing: -2px;
       text-decoration: none; 
       padding: 50px 0 0 20px;
      }
      
      #headimg #desc {
        font-size: 21px;
        font-weight: bold;
        padding-left: 20px;
      }
  </style>
  <?php
}

// end custom header stuff

function crucial_sidebar() {
  register_sidebar(array(
    'name' => __('Main Sidebar', 'crucial'),
    'id' => 'sidebar',    
  	'before_widget' => '<aside class="widget %2$s">',
  	'after_widget' => '</aside>',
  	'before_title' => '<h3 class="widget-title">',
  	'after_title' => '</h3>',
  ));
  
  register_sidebar(array(
    'name' => __('Footer Nav', 'crucial'),
    'id' => 'footer_nav',    
  	'before_widget' => '<aside class="widget %2$s">',
  	'after_widget' => '</aside>',
  	'before_title' => '<h3 class="widget-title">',
  	'after_title' => '</h3>',
  ));  
  
}


register_nav_menu(__('Header', 'crucial'), __('Top dropdown menu - shows one parent and one child level.', 'crucial'));


// hack to add a class to the body tag when the sidebar is active
function crucial_has_sidebar($classes) {
	if (is_active_sidebar('sidebar')) {
		// add 'class-name' to the $classes array
		$classes[] = 'has_sidebar';		
	}
	// return the $classes array
	return $classes;
}
add_filter('body_class','crucial_has_sidebar');
 
 
 
function crucial_enqueue_comment_reply() {
	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) { 
		wp_enqueue_script( 'comment-reply' ); 
	}
}
add_action( 'wp_enqueue_scripts', 'crucial_enqueue_comment_reply' );
 

function crucial_filter_wp_title($title) {
  // Get the Site Name
  return get_bloginfo( 'name' )  . $title;
}
// Hook into 'wp_title'
add_filter( 'wp_title', 'crucial_filter_wp_title' );

 
 
?>
